Queues a document for processing and returns a TaskResponse with the
assigned task_id, initial configuration, file metadata, and timestamps.
The initial status is Starting.
Creates a parse task and returns its metadata immediately.
POST
/
tasks
/
parse
Python
import osfrom chunkr_ai import Chunkrclient = Chunkr( api_key=os.environ.get("CHUNKR_API_KEY"), # This is the default and can be omitted)parse = client.tasks.parse.create( file="https://example.com/document.pdf",)print(parse.task_id)
import Chunkr from 'chunkr-ai';
const client = new Chunkr({
apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted
});
const parse = await client.tasks.parse.create({ file: 'https://example.com/document.pdf' });
console.log(parse.task_id);
Controls the Optical Character Recognition (OCR) strategy.
All: Processes all pages with OCR. (Latency penalty: ~0.5 seconds per page)
Auto: Selectively applies OCR only to pages with missing or low-quality text. When text layer is present the bounding boxes from the text layer are used.
Available options:
All,
Auto
pipeline
enum<string>
default:Chunkr
deprecated
Available options:
Azure,
Chunkr
segment_processing
null | object
Configuration for how each document segment is processed and formatted.
Each segment has sensible defaults, but you can override specific settings:
format: Output as Html or Markdown
strategy: Auto (rule-based), LLM (AI-generated), or Ignore (skip)
crop_image: Whether to crop images to segment bounds
extended_context: Use full page as context for LLM processing
description: Generate descriptions for segments
Defaults per segment type: Check the documentation for more details.
Only specify the fields you want to change - everything else uses the defaults.
Show child attributes
segmentation_strategy
enum<string>
default:LayoutAnalysis
Controls the segmentation strategy:
LayoutAnalysis: Analyzes pages for layout elements (e.g., Table, Picture, Formula, etc.) using bounding boxes. Provides fine-grained segmentation and better chunking.
Page: Treats each page as a single segment. Faster processing, but without layout element detection and only simple chunking.
Available options:
LayoutAnalysis,
Page
expires_in
integer<int32> | null
The number of seconds until task is deleted.
Expired tasks can not be updated, polled or accessed via web interface.
file_name
string | null
The name of the file to be parsed. If not set a name will be generated.
Response
Task created successfully.
completed
boolean
required
True when the task reaches a terminal state i.e. status is Succeeded or Failed or Cancelled
configuration
Parse · object
required
Show child attributes
created_at
string<date-time>
required
The date and time when the task was created and queued.
file_info
object
required
Information about the input file.
Show child attributes
message
string
required
A message describing the task's status or any errors that occurred.
status
enum<string>
required
The status of the task.
Available options:
Starting,
Processing,
Succeeded,
Failed,
Cancelled
task_id
string
required
The unique identifier for the task.
task_type
enum<string>
required
Available options:
Parse,
Extract
version_info
object
required
Version information for the task.
Show child attributes
expires_at
string<date-time> | null
The date and time when the task will expire.
finished_at
string<date-time> | null
The date and time when the task was finished.
input_file_url
string | null
deprecated
The presigned URL of the input file.
Deprecated use file_info.url instead.
output
null | Parse · object
The processed results of a document parsing task
Show child attributes
started_at
string<date-time> | null
The date and time when the task was started.
task_url
string | null
The presigned URL of the task.
Was this page helpful?
⌘I
Python
import osfrom chunkr_ai import Chunkrclient = Chunkr( api_key=os.environ.get("CHUNKR_API_KEY"), # This is the default and can be omitted)parse = client.tasks.parse.create( file="https://example.com/document.pdf",)print(parse.task_id)
import Chunkr from 'chunkr-ai';
const client = new Chunkr({
apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted
});
const parse = await client.tasks.parse.create({ file: 'https://example.com/document.pdf' });
console.log(parse.task_id);
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Chunkr","colors":{"primary":"#8D8D86","light":"#FFFFFF","dark":"#000000"},"logo":{"light":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/logo/light.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=329ba9d90b087f0e896ada507497f7ea","dark":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/logo/dark.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=6edf4915773b3977bcfe87cff8f90b3d"},"favicon":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/favicon.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=a47fc752b870e7ecd877c0160907dd23","api":{"mdx":{"auth":{"method":"key"}}},"background":{},"navbar":{"links":[{"href":"mailto:[email protected]","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://www.chunkr.ai"}},"footer":{"socials":{"github":"https://github.com/lumina-ai-inc/chunkr","discord":"https://discord.gg/XzKWFByKzW","x":"https://x.com/chunkrai"}},"styling":{"codeblocks":"system","latex":false},"errors":{"404":{"redirect":false,"title":"Page Not Found","description":"Looks like this page doesn't exist. While we work on better document navigation, here's where you can go:\n\n**Getting Started** \n[Welcome to Chunkr](/pages/get-started/welcome) - Start here if you're new \n[Quickstart Guide](/pages/get-started/quickstart) - Get up and running in 2 minutes \n[Web Interface](/pages/get-started/web-interface) - Try it out instantly\n\n**Core Features** \n[Task System](/pages/task-system/overview) - Understand our API architecture \n[Parse](/pages/features/parse/overview) - Convert documents to LLM-ready data \n[Extract](/pages/features/extract/overview) - Auto-fill custom schemas with AI\n\n**Migrating to Extend** \n[Migration Guide](/pages/migrate-to-extend/overview) - Move your integration to Extend\n\n**Need Help?** Reach out at [[email protected]](mailto:[email protected]) or join our [Discord](https://discord.gg/XzKWFByKzW)"}},"contextual":{"options":["copy","chatgpt","mcp","cursor",{"title":"Request a feature","description":"Join the discussion on Discord to request a new feature","icon":"plus","href":"https://discord.gg/XzKWFByKzW"}],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lumina-53fcea44","hasAudioNarration":false,"actualSubdomain":"lumina-53fcea44","customDomains":["docs.chunkr.ai"],"gitSource":{"type":"github","owner":"lumina-ai-inc","repo":"chunkr-enterprise","deployBranch":"main","contentDirectory":"docs/mintlify","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":false},"entitlements":{},"buildId":"6ac9501c94a6a814f4cf4a37","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Documentation","count":42},{"language":"default","tag":"API References","count":19},{"language":"default","tag":"Features","count":15},{"language":"default","tag":"SDK","count":10},{"language":"default","tag":"Get Started","count":8},{"language":"default","tag":"Migrate to Extend","count":8},{"language":"default","tag":"Tasks","count":8},{"language":"default","tag":"Task System","count":6},{"language":"default","tag":"Webhooks","count":6},{"language":"default","tag":"Files","count":6}]},"assistantConfig":{"deflection":{"enabled":true,"email":"[email protected]"}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-references/tasks/create-parse-task","slug":"/api-references/tasks/create-parse-task","pageMetadata":{"title":"Create Parse Task","description":"Queues a document for processing and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates a parse task and returns its metadata immediately.","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/parse","href":"/api-references/tasks/create-parse-task","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Queues a document for processing and returns a \", _jsx(_components.code, {\n children: \"TaskResponse\"\n }), \" with the\\nassigned \", _jsx(_components.code, {\n children: \"task_id\"\n }), \", initial configuration, file metadata, and timestamps.\\nThe initial status is \", _jsx(_components.code, {\n children: \"Starting\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Creates a parse task and returns its metadata immediately.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create Parse Task","description":"Queues a document for processing and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates a parse task and returns its metadata immediately.","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/parse","href":"/api-references/tasks/create-parse-task","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lumina-53fcea44/e95484bc22c7b2a2/assets/js/custom.js"],"openApiReferenceData":{"operation":{"tags":["Tasks"],"summary":"Create Parse Task","description":"Queues a document for processing and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates a parse task and returns its metadata immediately.","operationId":"create_parse_task_route","requestBody":"999fedd7-8958-418a-b873-386d5f76577d","responses":{"200":"dda4c345-64a4-4a7d-a35a-67a6358eda58","400":"27efcbd8-98bd-4174-8433-0be8f6096171","401":"96123a9f-a56c-4d0a-97c6-8dbcc64471ce","429":"145db3d7-21bd-4627-aeee-b07bdf19ee04","500":"df87872e-bc30-4c3f-89e6-b53408cbce87"},"security":["a82b4c85-c62d-42d5-915e-a2d7b46914d1"],"x-codeSamples":[{"lang":"python","label":"Python","source":"import os\nfrom chunkr_ai import Chunkr\n\nclient = Chunkr(\n api_key=os.environ.get(\"CHUNKR_API_KEY\"), # This is the default and can be omitted\n)\nparse = client.tasks.parse.create(\n file=\"https://example.com/document.pdf\",\n)\nprint(parse.task_id)\n"},{"lang":"typescript","label":"TypeScript","source":"import Chunkr from 'chunkr-ai';\n\nconst client = new Chunkr({\n apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted\n});\n\nconst parse = await client.tasks.parse.create({ file: 'https://example.com/document.pdf' });\n\nconsole.log(parse.task_id);\n"}],"method":"post","type":"path","servers":["76f67bcf-8d96-485e-934c-724a45246b26"],"path":"/tasks/parse","baseUrlOptions":["https://api.chunkr.ai"],"title":"Create Parse Task","codeSamples":[{"label":"Python","lang":"python","source":"import os\nfrom chunkr_ai import Chunkr\n\nclient = Chunkr(\n api_key=os.environ.get(\"CHUNKR_API_KEY\"), # This is the default and can be omitted\n)\nparse = client.tasks.parse.create(\n file=\"https://example.com/document.pdf\",\n)\nprint(parse.task_id)\n"},{"label":"TypeScript","lang":"typescript","source":"import Chunkr from 'chunkr-ai';\n\nconst client = new Chunkr({\n apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted\n});\n\nconst parse = await client.tasks.parse.create({ file: 'https://example.com/document.pdf' });\n\nconsole.log(parse.task_id);\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"JSON request to create a parse task","content":{"application/json":{"schema":{"type":"object","title":"Parse","required":["file"],"properties":{"file":{"type":"string","description":"The file to be parsed. Supported inputs:\n- `ch://files/{file_id}`: Reference to an existing file. Upload via the Files API\n- `http(s)://...`: Remote URL to fetch\n- `data:*;base64,...` or raw base64 string","isRequired":true,"uniqueKey":"file","typeLabel":"string"},"chunk_processing":{"type":"object","description":"Controls the setting for the chunking and post-processing of each chunk.","default":{"ignore_headers_and_footers":null,"target_length":4096,"tokenizer":{"Enum":"Word"}},"properties":{"ignore_headers_and_footers":{"oneOf":[{"type":"boolean","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"chunk_processing.ignore_headers_and_footers.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"chunk_processing.ignore_headers_and_footers.oneOf.1","typeLabel":"null"}],"uniqueKey":"chunk_processing.ignore_headers_and_footers","typeLabel":"boolean | null"},"target_length":{"type":"integer","format":"int32","description":"The target number of words in each chunk. If 0, each chunk will contain a single segment.","default":4096,"minimum":0,"uniqueKey":"chunk_processing.target_length","typeLabel":"integer\u003cint32>"},"tokenizer":{"oneOf":[{"type":"object","title":"Enum","description":"The tokenizer to use for the chunking process.","default":"Word","required":["Enum"],"properties":{"Enum":{"type":"string","description":"Use one of the predefined tokenizer types","enum":["Word","Cl100kBase","XlmRobertaBase","BertBaseUncased"],"isRequired":true,"uniqueKey":"chunk_processing.tokenizer.oneOf.0.Enum","typeLabel":"enum\u003cstring>"}},"uniqueKey":"chunk_processing.tokenizer.oneOf.0","typeLabel":"Enum · object"},{"type":"object","title":"String","description":"The tokenizer to use for the chunking process.","default":"Word","required":["String"],"properties":{"String":{"type":"string","description":"Use any Hugging Face tokenizer by specifying its model ID\nExamples: \"Qwen/Qwen-tokenizer\", \"facebook/bart-large\"","isRequired":true,"uniqueKey":"chunk_processing.tokenizer.oneOf.1.String","typeLabel":"string"}},"uniqueKey":"chunk_processing.tokenizer.oneOf.1","typeLabel":"String · object"}],"uniqueKey":"chunk_processing.tokenizer","typeLabel":"Enum · object | String · object"}},"uniqueKey":"chunk_processing","typeLabel":"object"},"error_handling":{"type":"string","description":"Controls how errors are handled during processing:\n- `Fail`: Stops processing and fails the task when any error occurs\n- `Continue`: Attempts to continue processing despite non-critical errors (eg. LLM refusals etc.)","default":"Fail","enum":["Fail","Continue"],"uniqueKey":"error_handling","typeLabel":"enum\u003cstring>"},"ocr_strategy":{"type":"string","description":"Controls the Optical Character Recognition (OCR) strategy.\n- `All`: Processes all pages with OCR. (Latency penalty: ~0.5 seconds per page)\n- `Auto`: Selectively applies OCR only to pages with missing or low-quality text. When text layer is present the bounding boxes from the text layer are used.","default":"All","enum":["All","Auto"],"uniqueKey":"ocr_strategy","typeLabel":"enum\u003cstring>"},"pipeline":{"type":"string","default":"Chunkr","enum":["Azure","Chunkr"],"deprecated":true,"uniqueKey":"pipeline","typeLabel":"enum\u003cstring>"},"segment_processing":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.0","typeLabel":"null"},{"type":"object","description":"Configuration for how each document segment is processed and formatted.\n\nEach segment has sensible defaults, but you can override specific settings:\n- `format`: Output as `Html` or `Markdown`\n- `strategy`: `Auto` (rule-based), `LLM` (AI-generated), or `Ignore` (skip)\n- `crop_image`: Whether to crop images to segment bounds\n- `extended_context`: Use full page as context for LLM processing\n- `description`: Generate descriptions for segments\n\n**Defaults per segment type:** Check the documentation for more details.\n\nOnly specify the fields you want to change - everything else uses the defaults.","properties":{"Caption":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Caption.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Caption","typeLabel":"null | object"},"Footnote":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Footnote.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Footnote","typeLabel":"null | object"},"FormRegion":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.0","typeLabel":"null"},{"type":"object","description":"New segment types - must be Optional for backwards compatibility.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.FormRegion.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.FormRegion","typeLabel":"null | object"},"Formula":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Formula.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Formula","typeLabel":"null | object"},"GraphicalItem":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.GraphicalItem.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.GraphicalItem","typeLabel":"null | object"},"Legend":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Legend.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Legend","typeLabel":"null | object"},"LineNumber":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.LineNumber.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.LineNumber","typeLabel":"null | object"},"ListItem":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.ListItem.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.ListItem","typeLabel":"null | object"},"Page":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Page.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Page.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Page","typeLabel":"null | object"},"PageFooter":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.PageFooter.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.PageFooter","typeLabel":"null | object"},"PageHeader":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.PageHeader.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.PageHeader","typeLabel":"null | object"},"PageNumber":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.PageNumber.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.PageNumber","typeLabel":"null | object"},"Picture":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Picture.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Picture","typeLabel":"null | object"},"Table":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Table.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Table.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Table","typeLabel":"null | object"},"Text":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Text.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Text.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Text","typeLabel":"null | object"},"Title":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Title.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Title.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Title","typeLabel":"null | object"},"Unknown":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"segment_processing.oneOf.1.Unknown.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing.oneOf.1.Unknown","typeLabel":"null | object"}},"uniqueKey":"segment_processing.oneOf.1","typeLabel":"object"}],"uniqueKey":"segment_processing","typeLabel":"null | object"},"segmentation_strategy":{"type":"string","description":"Controls the segmentation strategy:\n- `LayoutAnalysis`: Analyzes pages for layout elements (e.g., `Table`, `Picture`, `Formula`, etc.) using bounding boxes. Provides fine-grained segmentation and better chunking.\n- `Page`: Treats each page as a single segment. Faster processing, but without layout element detection and only simple chunking.","default":"LayoutAnalysis","enum":["LayoutAnalysis","Page"],"uniqueKey":"segmentation_strategy","typeLabel":"enum\u003cstring>"},"expires_in":{"oneOf":[{"type":"integer","format":"int32","description":"The number of seconds until task is deleted.\nExpired tasks can **not** be updated, polled or accessed via web interface.","uniqueKey":"expires_in.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"The number of seconds until task is deleted.\nExpired tasks can **not** be updated, polled or accessed via web interface.","uniqueKey":"expires_in.oneOf.1","typeLabel":"null"}],"uniqueKey":"expires_in","typeLabel":"integer\u003cint32> | null"},"file_name":{"oneOf":[{"type":"string","description":"The name of the file to be parsed. If not set a name will be generated.","uniqueKey":"file_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the file to be parsed. If not set a name will be generated.","uniqueKey":"file_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"file_name","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"Parse · object"},"examples":{"Example":{"title":"Example","value":{"file":"\u003cstring>","chunk_processing":{"ignore_headers_and_footers":null,"target_length":4096,"tokenizer":{"Enum":"Word"}},"error_handling":"Fail","ocr_strategy":"All","pipeline":"Chunkr","segment_processing":{"Caption":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Footnote":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"FormRegion":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Formula":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"GraphicalItem":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Legend":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"LineNumber":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"ListItem":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Page":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"PageFooter":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"PageHeader":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"PageNumber":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Picture":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Table":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Text":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Title":{"description":null,"extended_context":null,"llm":"\u003cstring>"},"Unknown":{"description":null,"extended_context":null,"llm":"\u003cstring>"}},"segmentation_strategy":"LayoutAnalysis","expires_in":123,"file_name":"\u003cstring>"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"dda4c345-64a4-4a7d-a35a-67a6358eda58":{"description":"Task created successfully.","content":{"application/json":{"schema":{"type":"object","required":["configuration","completed","created_at","file_info","message","status","task_type","task_id","version_info"],"properties":{"completed":{"type":"boolean","description":"True when the task reaches a terminal state i.e. `status` is `Succeeded` or `Failed` or `Cancelled`","isRequired":true,"uniqueKey":"completed","typeLabel":"boolean"},"configuration":{"type":"object","title":"Parse","properties":{"chunk_processing":{"type":"object","description":"Controls the setting for the chunking and post-processing of each chunk.","default":{"ignore_headers_and_footers":null,"target_length":4096,"tokenizer":{"Enum":"Word"}},"properties":{"ignore_headers_and_footers":{"oneOf":[{"type":"boolean","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"configuration.chunk_processing.ignore_headers_and_footers.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"configuration.chunk_processing.ignore_headers_and_footers.oneOf.1","typeLabel":"null"}],"uniqueKey":"configuration.chunk_processing.ignore_headers_and_footers","typeLabel":"boolean | null"},"target_length":{"type":"integer","format":"int32","description":"The target number of words in each chunk. If 0, each chunk will contain a single segment.","default":4096,"minimum":0,"uniqueKey":"configuration.chunk_processing.target_length","typeLabel":"integer\u003cint32>"},"tokenizer":{"oneOf":[{"type":"object","title":"Enum","description":"The tokenizer to use for the chunking process.","default":"Word","required":["Enum"],"properties":{"Enum":{"type":"string","description":"Use one of the predefined tokenizer types","enum":["Word","Cl100kBase","XlmRobertaBase","BertBaseUncased"],"isRequired":true,"uniqueKey":"configuration.chunk_processing.tokenizer.oneOf.0.Enum","typeLabel":"enum\u003cstring>"}},"uniqueKey":"configuration.chunk_processing.tokenizer.oneOf.0","typeLabel":"Enum · object"},{"type":"object","title":"String","description":"The tokenizer to use for the chunking process.","default":"Word","required":["String"],"properties":{"String":{"type":"string","description":"Use any Hugging Face tokenizer by specifying its model ID\nExamples: \"Qwen/Qwen-tokenizer\", \"facebook/bart-large\"","isRequired":true,"uniqueKey":"configuration.chunk_processing.tokenizer.oneOf.1.String","typeLabel":"string"}},"uniqueKey":"configuration.chunk_processing.tokenizer.oneOf.1","typeLabel":"String · object"}],"uniqueKey":"configuration.chunk_processing.tokenizer","typeLabel":"Enum · object | String · object"}},"uniqueKey":"configuration.chunk_processing","typeLabel":"object"},"error_handling":{"type":"string","description":"Controls how errors are handled during processing:\n- `Fail`: Stops processing and fails the task when any error occurs\n- `Continue`: Attempts to continue processing despite non-critical errors (eg. LLM refusals etc.)","default":"Fail","enum":["Fail","Continue"],"uniqueKey":"configuration.error_handling","typeLabel":"enum\u003cstring>"},"ocr_strategy":{"type":"string","description":"Controls the Optical Character Recognition (OCR) strategy.\n- `All`: Processes all pages with OCR. (Latency penalty: ~0.5 seconds per page)\n- `Auto`: Selectively applies OCR only to pages with missing or low-quality text. When text layer is present the bounding boxes from the text layer are used.","default":"All","enum":["All","Auto"],"uniqueKey":"configuration.ocr_strategy","typeLabel":"enum\u003cstring>"},"pipeline":{"type":"string","default":"Chunkr","enum":["Azure","Chunkr"],"deprecated":true,"uniqueKey":"configuration.pipeline","typeLabel":"enum\u003cstring>"},"segment_processing":{"oneOf":[{"type":"null","uniqueKey":"configuration.segment_processing.oneOf.0","typeLabel":"null"},{"type":"object","description":"Configuration for how each document segment is processed and formatted.\n\nEach segment has sensible defaults, but you can override specific settings:\n- `format`: Output as `Html` or `Markdown`\n- `strategy`: `Auto` (rule-based), `LLM` (AI-generated), or `Ignore` (skip)\n- `crop_image`: Whether to crop images to segment bounds\n- `extended_context`: Use full page as context for LLM processing\n- `description`: Generate descriptions for segments\n\n**Defaults per segment type:** Check the documentation for more details.\n\nOnly specify the fields you want to change - everything else uses the defaults.","properties":{"Caption":{"oneOf":[{"type":"null","uniqueKey":"configuration.segment_processing.oneOf.1.Caption.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n
[...]
